<?php

namespace Drupal\trigger_api\Form\Traits;

use Drupal\Component\Serialization\Json;
use Drupal\Core\Form\FormStateInterface;

/**
 * Validation for API Data format.
 */
trait TriggerAPIFormValidatorTrait {

  /**
   * Validate JSON.
   *
   * @param array $element
   *   The element.
   * @param \Drupal\Core\Form\FormStateInterface $formState
   *   The formstate.
   */
  public function validateJson(array &$element, FormStateInterface $formState) {
    try {
      if (!Json::decode($element['#value'])) {
        $noJson = TRUE;
      }
    }
    catch (\Exception $e) {
      $noJson = TRUE;
    }

    if ($noJson) {
      $formState->setError($element, $this->t('The value is not json valid'));
    }
  }

}
