<?php

namespace Drupal\trigger_api\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "CKEditor" plugin.
 *
 * @CKEditorPlugin(
 *   id = "trigger_api_ckeditor",
 *   label = @Translation("CKEditor"),
 *   module = "trigger_api"
 * )
 */
class Ckeditor extends CKEditorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getFile() {
    return drupal_get_path('module', 'trigger_api') . '/js/plugins/ckeditor/plugin.js';
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
    $module_path = drupal_get_path('module', 'trigger_api');
    return [
      'ckeditor' => [
        'label' => $this->t('CKEditor'),
        'image' => $module_path . '/js/plugins/ckeditor/icons/ckeditor.png',
      ],
    ];
  }

}
